<!DOCTYPE html>
<html lang="cs">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>SVG Whiteboard</title>

<style type="text/css">
    body{
        margin:0px;
        padding:0px;
        text-align: center;
        background-color: #000000;
        overflow: hidden;
        height: 100%;
        width: 100%;
        position: fixed;
        color: #ffffff;
    }
    #workArea{
        overflow: hidden;
        width: 100%;
        height: 100%;
    }
</style>

<script src="qrc:/whiteboard/js/libs/json_parse.js" type="application/javascript"></script>
<script src="qrc:/whiteboard/js/libs/jquery-1.4.2.min.js" type="application/javascript"></script>
<script src="qrc:/whiteboard/js/libs/jquery.dataSelector.js" type="application/javascript"></script>
<script src="qrc:/whiteboard/js/libs/base64.js" type="application/javascript"></script>
<script src="qrc:/whiteboard/js/utils.js" type="application/javascript"></script>
<script src="qrc:/whiteboard/js/svgcanvas.js" type="application/javascript"></script>
<script src="qrc:/whiteboard/js/whiteboard.js" type="application/javascript"></script>
<script src="qrc:/whiteboard/js/thumbnail.js" type="application/javascript"></script>
<script src="qrc:/whiteboard/js/maknetowb.js" type="application/javascript"></script>


<script type="text/javascript">
  $(document).ready(function () {
    $(document)[0].oncontextmenu = function() {return false;}
    MaknetoWhiteboard.instance = new MaknetoWhiteboard( $('#workArea') );
    connector.init();
  });
    
  // we check document for multiple id - for debug
  window.addEventListener("DOMContentLoaded", function() {
    // Warning Duplicate IDs
    $('[id]').each(function(){
      var ids = $('[id='+this.id+']');
      if(ids.length>1 && ids[0]==this)
        console.warn('Multiple IDs #'+this.id);
    });
}, false);
    
</script>
  
</head>
<body>

  <div id="workArea"></div>

</body>
</html>
